Strumenti Utente

Strumenti Sito


gallery_uploader

Differenze

Queste sono le differenze tra la revisione selezionata e la versione attuale della pagina.

Link a questa pagina di confronto

Entrambe le parti precedenti la revisione Revisione precedente
Prossima revisione
Revisione precedente
gallery_uploader [2010/11/10 15:53]
pietro 2.3
gallery_uploader [2016/11/28 19:59] (versione attuale)
pietro Updated READme
Linea 1: Linea 1:
-{{:gallery_uploader:gallery-uploader-2.3.tar.gz|Click here to download version 2.of gallery-uploader.}} +{{:gallery_uploader:gallery-uploader-2.5.tar.gz|Click here to download version 2.of gallery-uploader.}}
- +
-[[http://packages.debian.org/gallery-uploader|Click here to get the (1.10) Debian(/Ubuntu) package.]]+
  
 +[[http://packages.debian.org/gallery-uploader|Click here to get the Debian(/Ubuntu) package]] (or install it from official repositories).
  
 ===== What is this app? ===== ===== What is this app? =====
Linea 27: Linea 26:
 nautilus-scripts-manager nautilus-scripts-manager
 (see http://www.pietrobattiston.it/nautilus-scripts-manager ) (see http://www.pietrobattiston.it/nautilus-scripts-manager )
 +
 +3) Single-user, as standalone program: just open a terminal into the extracted
 +folde and run "./gallery-uploader". Do not try to install with "python setup.py"
 +to private directories: it won't work.
  
 ===== What are its requirements? ===== ===== What are its requirements? =====
  
-You need python (version 2.6 or higher) and pygtk (2.12 or later should work+You need 
-though 2.14 is required for usage in standalone mode; the version of the gtk+ +  * Python 2 (version 2.6 or higher), 
-libraries must be 2.16 or later), both present in standard Linux installations. +  * python-xdg, 
-You also need galleryremote ( http://code.google.com/p/galleryremote ), which +  * python-argparse (already present in Python 2.7), 
-does the real work of communicating with remote Gallery instances.+  * python-gi (GObject Introspection), 
 +  * libsecret, 
 +all preinstalled in many Linux installations, and 
 +  galleryremote ( http://pietrobattiston.it/galleryremote ), which does the real work of communicating with remote Gallery instances.
  
 Gallery-uploader was created to be used from Nautilus, GNOME's default Gallery-uploader was created to be used from Nautilus, GNOME's default
Linea 57: Linea 63:
 ===== How to translate to my language? ===== ===== How to translate to my language? =====
  
-You must have an account on http://www.transifex.net . Then, visit +You must have an account on http://www.transifex.net. Then, visit
- +
-http://www.transifex.net/projects/p/galleryuploader/c/default/+
  
-Assuming that your language doesn't exist, click "Add a new translation" and +https://www.transifex.net/projects/p/galleryuploader/resource/main/
-upload the .po file for your language (which doesn't have to necessarily contain +
-translated strings already). This step will soon become unnecessary, but for the +
-moment feel free to write me a line, and I'll take care of it.+
  
-After that, you can click on the "editicon near to your language and start +Assuming that your language doesn't exist, click "Add translation", select your 
-filling the fields.+language and then "Translate online".
gallery_uploader.1289400810.txt.gz · Ultima modifica: 2010/11/10 15:53 da pietro